Create an Order

Creates a new order with an attached quote for offline order entry. You must look up the customer ID first, and the customer will be given the option to approve or reject the quote.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string

The unique identifier of the Merchant that owns this Order.

string

The unique identifier of the Preauthorization to be used for this Order

string

The unique identifier of the User who placed this order. Required unless you are authentication using an OAuth 2.0 Bearer token, in which case it will be inferred from the user of the access token if not provided here in the payload body.

integer

A positive integer between 0 and 99999999 that represents the expected total amount for this order. This should equal the sum of all order_items, tax_cents, and shipping_cents, but this is not mandatory.

string

Only USD is supported at this time

string

Exchange rate from the currency of this order to the merchant's currency

string

The merchant's internal identifier for this Order

integer

Tax amount in cents

integer

Shipping amount in cents

string

ISO8601 date that a pending order should expire. Any order still unapproved at this date will be automatically rejected. This field does not apply once payment terms have started negotiation. Defaults to 45 days if not supplied.

order_items
array of objects
required

OrderItems describing the contents of the order

order_items*
payment_term
object
required
default_payment_method
object
string

The PO number of this order

boolean
Defaults to true
boolean
Defaults to true
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json